#####################################################################
# Copyright (C) 2000 Artur Trzewik
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
######################################################################
# Header
# CVS - $Id: Init.tcl,v 1.4 2000/10/15 17:19:20 artur Exp $
#
# Information:
# Eine Zentrale Datei, die weitere Komponenten des TCL ldt
# Auch ein Punkt fr ntige Systemanpassungen
# XOTcl
# TclX
# tDom
# initieren von postgres und mysql Schnittstellen

# Change the lines below for correct setup
set lib_xotcl /usr/lib/xotcl/libxotcl.so
set lib_tdom /usr/lib/tdom0.5/tdom0.5.so
set lib_mysqltcl /usr/lib/mysqltcl/libmysqltcl.so
set lib_pgtcl /usr/lib/libpgtcl.so
set lib_tclx /usr/lib/libtclx.so
set helpdir /usr/doc/xdobry-0.1/docu

# loading XOtcl
if {[info exist env(LIB_XOTCL)]} {
	set lib_xotcl $env(LIB_XOTCL)
}
if {![file exist $lib_xotcl]} {
    error "Can't find Xotcl Extension in $lib_xotcl. Set envirorment variable LIB_XOTCL to this file or file edit Init.tcl in xdobry program dictionary"
}
load $lib_xotcl
if {![info exist xotcl_version] || $xotcl_version<=0.81} {
    tk_messageBox -message "You are using Xotcl Version <=0.81. Please install new version from http://www.xotcl.org or check http://www.xdobry.de for binary version of this library" -icon info -type ok
    exit
}

# loading tDOM
if {[info exist env(LIB_TDOM)]} {
	set lib_tdom $env(LIB_TDOM)
}
if {![file exist $lib_tdom]} {
    error "Can't find tDOM Extension in $lib_xotcl. Set envirorment variable LIB_TDOM to this file or edit file Init.tcl in xdobry program dictionary"
}
load $lib_tdom
if {[info exist env(LIB_MYSQLTCL)]} {
	set lib_mysqltcl $env(LIB_MYSQLTCL)
}
if {[info exist env(LIB_PGTCL)]} {
	set lib_pgtcl $env(LIB_PGTCL)
}

# load TclX
if {![file exist $lib_tdom]} {
    error "Can't find TclX Extension in $lib_tclx. Edit file Init.tcl in xdobry program dictionary"
}
load $lib_tclx

if {![file exist $helpdir]} {
    if {[file pathtype $progdir]=="relative"} {
	set helpdir [file join [pwd] $progdir docs docu]
    } else {
	set helpdir [file join $progdir docs docu]
    }
}

# Vorbereite mysql und postgesql Schnittstelle wenn bentigt
package ifneeded mysqltcl 1.53 {
    load $lib_mysqltcl
    package provide mysqltcl 1.53
    set mysqlstatus(nullvalue) NULL
}
package ifneeded Pgtcl 2.0 {
    load $lib_pgtcl
}

#Setze Image-Verzeichnis
tix addbitmapdir [file join $progdir bitmaps]

# von allen Komponenten benutzte Module
source [file join $progdir preferences.tcl]
source [file join $progdir container.tcl]
source [file join $progdir widgetlib.tcl]
source [file join $progdir dialog.tcl]
source [file join $progdir util.tcl]
#source [file join $progdir typedCmdline.tcl]
#Die Programm Optionnen
loadpref

#option add *background gray90

